// 用户管理
import request from '@/utils/request'



// 意图管理

export const keywords = (data: any) => {
    return request({
        url: `admin/app/keywords`,
        method: 'get',
        params: data
    })
}

export const addKeywords = (data: any) => {
    return request({
        url: `admin/app/keyword`,
        method: 'post',
        data
    })
}
export const addKeywordsMaterial = (data: any, id) => {
    return request({
        url: `admin/app/keyword/material/${id}`,
        method: 'post',
        data
    })
}
export const keywordsMaterials = (data: any) => {
    return request({
        url: `admin/app/keyword/materials`,
        method: 'get',
        params: data
    })
}
export const upKeyword = (data: any, id) => {
    return request({
        url: `admin/app/keyword/${id}`,
        method: 'put',
        data
    })
}
export const deleteKeyword = (id) => {
    return request({
        url: `admin/app/keyword/${id}`,
        method: 'delete'
    })
}